Bug 673175 - (mnogosearch) Review Request: mnogosearch - Web indexing and search system for a small domain or intranet
Review Request: mnogosearch - Web indexing and search system for a small doma...
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2011-01-27 11:21 EST by Gerd v. Egidy
Modified: 2012-07-01 14:35 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-01 09:03:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gerd v. Egidy 2011-01-27 11:21:26 EST
Spec URL: http://developer.intra2net.com/git/?p=mnogosearch-rpm;a=blob_plain;f=mnogosearch.spec;h=9a9eda60d14b34b08f5508154efab408c691760b
SRPM URL: http://developer.intra2net.com/git/?p=mnogosearch-rpm;a=blob;f=mnogosearch-3.3.11-1.src.rpm;h=57b987c7d8b12a5d432d58c7b3464da6d1ad8932

Gitweb for all packaging related files:
http://developer.intra2net.com/git/?p=mnogosearch-rpm

Description:

I packaged the mnogosearch search engine and it would be nice if someone
could review it so it can be included in Fedora Extras.

mnogosearch was considered for use in the Fedora search infrastructure, see
http://fedoraproject.org/wiki/Infrastructure/Search

This is my first Fedora package, so I'm looking for a sponsor too.

While packaging I worked closely together with the upstream maintainer,
Alexander Barkov. He helped me to make mnogosearch adhere to the FHS
and meet other requirements from the Fedora packaging guidelines. The
fixes we developed are all included in the upstream release 3.3.11.

Description of the program as in the .spec:

mnoGoSearch (formerly known as UdmSearch) is a full-featured Web search engine
that you can use to build search engines over HTTP, HTTPS, FTP, and NTTP
servers, local files, and database big text fields. It supports Oracle, MS SQL
Server, MySQL, PostgreSQL, InterBase/Firebird, Openlink Virtuoso, Intersystems
Cach, iODBC, EasySoft ODBC, and unixODBC database backends. It has XML, HTML,
and TEXT built-in support, and external converters support for other document
types. An automatic language/charset guesser for more 70 language/charset
combinations is included, along with basic authorization support, and you may
index password-protected intranet HTTP servers with proxy authorization
support.

mnoGoSearch is built with support for mysql (including fulltext extension),
sqlite, postgresql, firebird, unixODBC and freetds.
Comment 1 Gerd v. Egidy 2011-01-27 11:24:50 EST
Testing done:

I have successfully built the package on i686 and x86_64.

I manually checked the program on both architectures in the default configuration and everything seemed fine.

The upstream maintainer Alexander Barkov checked and approved the default configuration and other issues like file permissions.

rpmlint run on the installed rpms:

mnogosearch.i686: W: spelling-error %description -l en_US iODBC -> ABC, ADC, OTB
mnogosearch.i686: W: spelling-error %description -l en_US unixODBC -> exotic, animistic, inexorable
mnogosearch.i686: W: spelling-error %description -l en_US backends -> back ends, back-ends, bookends
mnogosearch.i686: W: spelling-error %description -l en_US charset -> char set, char-set, chaste
mnogosearch.i686: W: spelling-error %description -l en_US fulltext -> full text, full-text, faultiest
mnogosearch.i686: W: spelling-error %description -l en_US postgresql -> picturesquely, paradoxical, paradoxically
mnogosearch.i686: W: spelling-error %description -l en_US firebird -> fire bird, fire-bird, forebode
mnogosearch.i686: W: spelling-error %description -l en_US freetds -> frets, ferrets, fretted

> I'd say these are all false positives and the spelling is ok.

mnogosearch.i686: W: non-standard-gid /etc/mnogosearch mnogosearch
mnogosearch.i686: E: non-standard-dir-perm /etc/mnogosearch 0750L
mnogosearch.i686: W: non-standard-gid /etc/mnogosearch/search.htm mnogosearch
mnogosearch.i686: E: non-readable /etc/mnogosearch/search.htm 0640L
mnogosearch.i686: W: non-standard-uid /var/lib/mnogosearch mnogosearch
mnogosearch.i686: W: non-standard-gid /var/lib/mnogosearch mnogosearch
mnogosearch.i686: E: non-standard-dir-perm /var/lib/mnogosearch 0750L
mnogosearch.i686: W: non-standard-gid /etc/mnogosearch/stopwords.conf mnogosearch
mnogosearch.i686: E: non-readable /etc/mnogosearch/stopwords.conf 0640L
mnogosearch.i686: W: non-standard-gid /etc/mnogosearch/node.xml mnogosearch
mnogosearch.i686: E: non-readable /etc/mnogosearch/node.xml 0640L
mnogosearch.i686: W: non-standard-gid /etc/mnogosearch/indexer.conf mnogosearch
mnogosearch.i686: W: non-standard-gid /etc/mnogosearch/langmap.conf mnogosearch
mnogosearch.i686: E: non-readable /etc/mnogosearch/langmap.conf 0640L

> There is a reason I don't allow world read access to the config files:
> Usually there are database access credentials in plaintext contained in them.
> This is stated as comment in the .spec

mnogosearch.i686: E: executable-marked-as-config-file /etc/mnogosearch/indexer.conf

> This is a feature of the mnogosearch default config:
> it contains a shebang, so you can directly call it. It then uses this config to
> call the indexer.
> This is stated as comment in the .spec

mnogosearch.i686: W: no-manual-page-for-binary mguesser
mnogosearch.i686: W: no-manual-page-for-binary mconv
mnogosearch.i686: W: no-manual-page-for-binary mnogosearch-reindex

> mnogosearch does not provide these man pages. The upstream maintainer told me
> he'll look into improving the man pages.

mnogosearch.i686: W: dangerous-command-in-%post chown

> The mnogosearch user must be owner of the default database. Otherwise searching
> and indexing won't work as expected.

mnogosearch-libs.i686: W: no-documentation
mnogosearch-devel.i686: W: no-documentation

> The documentation is all in the %doc section of the main package.

mnogosearch-devel.i686: W: no-manual-page-for-binary udm-config

> mnogosearch does not provide a man page for the devel-configuration program.

mnogosearch-php.i686: W: no-documentation

> The documentation is all in the %doc section of the main package.

mnogosearch-php.i686: W: non-conffile-in-etc /etc/php.d/mnogosearch.ini

> The file is to inform php about a new extension. There is no need for a user
> to ever modify this file.

rpmlint run on the src.rpm:

mnogosearch.src: W: spelling-error %description -l en_US iODBC -> iodic, iodous, iodism
mnogosearch.src: W: spelling-error %description -l en_US unixODBC -> unixism, Unicode, unilobed
mnogosearch.src: W: spelling-error %description -l en_US backends -> backbends, back ends, back-ends
mnogosearch.src: W: spelling-error %description -l en_US charset -> char set, char-set, chars et
mnogosearch.src: W: spelling-error %description -l en_US combinations -> combination, combination's, comminations
mnogosearch.src: W: spelling-error %description -l en_US mysql -> mys ql, mys-ql, myself
mnogosearch.src: W: spelling-error %description -l en_US fulltext -> full text, full-text, Fullerton
mnogosearch.src: W: spelling-error %description -l en_US sqlite -> sq lite, sq-lite, stylite
mnogosearch.src: W: spelling-error %description -l en_US postgresql -> postgraduate, postglacial, postmistress
mnogosearch.src: W: spelling-error %description -l en_US freetds -> Freetown, freeloads, freeholds

> These are the same spelling false-positives as in the rpm.
Comment 5 Jason Tibbitts 2012-06-29 13:31:12 EDT
Well, this seems to have fallen through the cracks.  It unfortunately doesn't build for me; I get the following odd error:

error: types must match
error: /builddir/build/SPECS/mnogosearch.spec:115: bad %if condition

A failed koji scratch build is at http://koji.fedoraproject.org/koji/taskinfo?taskID=4207932

I doubt that you're still interested in submitting this after all this time, but in case you are, please clear the Whiteboard up at the top of this ticket if you do submit a version which builds.
Comment 6 Gerd v. Egidy 2012-06-30 04:52:38 EDT
Hi Jason,

after this was open so long I moved my attention to other projects as it seemed to me not easy to become a Fedora member. 

If you help me with all the review and sponsorship stuff, I can take a look at this again and submit a version which builds & works on current Rawhide & F17.

What exactly do you mean by "clear the Whiteboard up at the top of this ticket"?

Gerd
Comment 7 Jason Tibbitts 2012-06-30 14:10:57 EDT
I can't promise to help you with the review and sponsorship; I personally have no interest in the package itself and am just trying to make sure that the tickets which are currently open are actually reviewable.

All I mean by "clear the Whiteboard" is, well, clear the Whiteboard field.  It's visible at the top of this ticket.  I used it to indicate that there's no buildable package here, and that results in this ticket being hidden from the various lists of reviewable tickets.  You should clear it (i.e. remove its contents) if providing a package which builds.
Comment 8 Gerd v. Egidy 2012-07-01 09:03:09 EDT
> I can't promise to help you with the review and sponsorship

While I think requiring a peer review for a new package is a good idea, the process for integrating new packagers into the Fedora community is currently lacking. This ticket was open for over a year and nobody cared. I think I adhered to all that was outlined in the wiki for becoming a new packager. Maybe except the vague "become involved on the mailinglists" stuff because I don't want to babble on mailinglists, I want to package.

It seems to me that this didn't improve for over a year and Fedora is still making it hard to become a new member. There are enough other open source projects out there where my contribution is more valued.

When this has changed you can open this ticket again and I'll have a look at fixing the package.
Comment 9 Jason Tibbitts 2012-07-01 14:12:03 EDT
Well, you said it yourself; nobody was interested.  We're all volunteers, and you're expecting us to do things for yo.

There are certainly things you could have done, which we document (participating in the community, assisting with other reviews, etc.) but, well, you didn't.  Plenty of people do make it through the process.  And you made it really tough on yourself by making a really complicated package that wasn't kept up to date with changes in the Fedora guidelines.  At some point it even stopped building and you failed to notice and fix it.

So I'm not really sure what else you expected the Fedora community to do for you.  It appears you wanted to just drop a package here and have us deal with it.  That just doesn't work.  And when some poor person comes along and tries to do something (i.e. me), you complain about how hard it is and about how Fedora doesn't value your contribution.  I guess Fedora just isn't the right fit for you.
Comment 10 Gerd v. Egidy 2012-07-01 14:35:47 EDT
> assisting with other reviews,

Doing other reviews does not help other people unless you are in the packagers group because you don't have the rights to give the package the "reviewed" status. This is why the proposed method of review swaps doesn't work when you are not packager yet.

> And you made it really tough on yourself by making a really complicated package 
> that wasn't kept up to date with changes in the Fedora guidelines.

I do rpm packages complying to the Fedora standards for years in the company I work at. I have often packaged such stuff and don't consider it a real problem.

> At some point it even stopped building and you failed to notice and fix it.

Do you think it would have changed anything if I updated the package in this ticket?

> So I'm not really sure what else you expected the Fedora community to do for 
> you.  

Provide a somewhat timely (e.g. one or two month) response to the FE-NEEDSPONSOR request.

> It appears you wanted to just drop a package here and have us deal with 
> it.  That just doesn't work.

That is clear. But I wanted to join to maintain the package, not to keep it in the bugtracker forever.

Note You need to log in before you can comment on or make changes to this bug.